ROOT=/home/sdt/csc/web
#DEBUG = 1
OUTPUTS=$(INPUTS:.xml=.html)
TERM=Winter 2002
XSLTARGS=--param date "'`date -I`'" --param time "'`date +%H:%M:%S`'" --param pwd "'`pwd`'" \
	--param term "'$(TERM)'" --param root "'$(ROOT)'"

ifdef DEBUG
  XSLTARGS += -v
endif

all: $(OUTPUTS)
	@for i in $(SUBDIRS) ; do (cd $$i && $(MAKE) && cd ..) ; done

clean-recurse: clean
	@for i in $(SUBDIRS) ; do (cd $$i && $(MAKE) clean && cd ..) ; done

clean:
	rm -f *.html

%.html: %.xml $(ROOT)/csc.dtd $(ROOT)/cscweb.xsl $(ROOT)/events.xml $(ROOT)/news.xml $(ROOT)/menu.xml $(ROOT)/default.mk directory.xml
	xsltproc $(XSLTARGS) $(ROOT)/cscweb.xsl $< > $@
